Results 1 to 7 of 7
  1. #1

    Default Install v155e using database from old version 151. Can't see products or images

    www.gingerbreadtearoom.com, stock install of v155e. Linux server.
    Didn't try to upgrade since was version my website was on was v151.
    I upgraded to PHP 7.1 on www.ipower.com prior to this install.
    includes/configure.php lists correct database.
    Have had several issues with install which I've worked though with ipower.
    On my previous install trial I was able to see my database products & graphics, but not now.
    I can only see the zen_cart default graphics etc. Ideas?
    Last edited by StitchJunkie; 19 Jun 2017 at 12:11 AM.

  2. #2

    Default Re: Install v155e using database from old version 151. Can't see products or images

    Wondering if I also needed to include that the old v151 was using the RESPONSIVE ALL BUSINESS from picaflor-azul. I plan to use the same template after I get the install working. Just in case this is related to my database products and graphics issue.

  3. #3
    Join Date
    Oct 2006
    Location
    Alberta, Canada
    Posts
    4,608
    Plugin Contributions
    1

    Default Re: Install v155e using database from old version 151. Can't see products or images

    If you did a stock install of v155e then that's what you will see.

    If you want to use your previous 1.5.1 database then you will have to Drop the current database, Import the old database then upload the "zc_install" and use it to upgrade everything.

    Note that you will also have to makes the database information in both "configure.php" files matches the database settings.
    The learning is in the doing.

    Potent Products

  4. #4
    Join Date
    Jan 2004
    Posts
    64,748
    Blog Entries
    6
    Plugin Contributions
    74

    Default Re: Install v155e using database from old version 151. Can't see products or images

    I suspect your configure.php has the wrong DB_PREFIX. You'll want to check what it was in your OLD configure.php and use the same one in the NEW configure.php, else it won't know which tables to use in the database you imported.


    Here's the recommended upgrade approach: http://www.zen-cart.com/entry.php?3-...d-of-upgrading
    .

    Zen Cart - putting the dream of business ownership within reach of anyone!
    Donate to: DrByte directly or to the Zen Cart team as a whole

    Remember: Any code suggestions you see here are merely suggestions. You assume full responsibility for your use of any such suggestions, including any impact ANY alterations you make to your site may have on your PCI compliance.
    Furthermore, any advice you see here about PCI matters is merely an opinion, and should not be relied upon as "official". Official PCI information should be obtained from the PCI Security Council directly or from one of their authorized Assessors.

  5. #5

    Default Re: Install v155e using database from old version 151. Can't see products or images

    The DB_PREFIX setting appears to be the same in both 151 and 155e:
    define('DB_TYPE', 'mysql'); // always 'mysql'
    define('DB_PREFIX', ''); // prefix for database table names -- preferred to be left empty
    define('DB_CHARSET', 'utf8'); //

    What is meant by “Dropping the old database”?
    When I did the install I defined the correct database at that time…
    “If you want to use your previous 1.5.1 database then you will have to Drop the current
    database, Import the old database then upload the "zc_install" and use it to upgrade everything.”

  6. #6
    Join Date
    Oct 2006
    Location
    Alberta, Canada
    Posts
    4,608
    Plugin Contributions
    1

    Default Re: Install v155e using database from old version 151. Can't see products or images

    Quote Originally Posted by StitchJunkie View Post
    www.gingerbreadtearoom.com, stock install of v155e. Linux server.
    Didn't try to upgrade since was version my website was on was v151.
    If you did a stock install then that is what you will see. In order to see your previous site and data you will have Drop (remove) the stock database and Import your old 1.5.1 database so you can upgrade it to 1.5.5e. This is done through phpMyAdmin located within your Hosting control panel. If not sure how to do this then best to ask you Hoster for help.
    The learning is in the doing.

    Potent Products

  7. #7
    Join Date
    Jul 2012
    Posts
    11,636
    Plugin Contributions
    13

    Default Re: Install v155e using database from old version 151. Can't see products or images

    Quote Originally Posted by StitchJunkie View Post
    The DB_PREFIX setting appears to be the same in both 151 and 155e:
    define('DB_TYPE', 'mysql'); // always 'mysql'
    define('DB_PREFIX', ''); // prefix for database table names -- preferred to be left empty
    define('DB_CHARSET', 'utf8'); //

    What is meant by “Dropping the old database”?
    When I did the install I defined the correct database at that time…
    “If you want to use your previous 1.5.1 database then you will have to Drop the current
    database, Import the old database then upload the "zc_install" and use it to upgrade everything.”
    As DrByte indicated in: https://www.zen-cart.com/showthread....10#post1331210
    By following the process outlined there, a backup of your existing database would be obtained and available. Further, by doing a complete software upload without copying over the includes/configure.php and admin/includes/configure.php files, the installer was unable to identify that a previous version existed; however, in the part about entering the database credentials there is a warning indicating that continuing would erase/replace the existing database (if there is/was one). As a result of providing the exact database path to the old database (meaning using the same DB_PREFIX, this cleared the database that was provided.

    Therefore, in order to regain the past data, either the old database needs to be restored, or it needs to be replaced with the backup.

    If "properly" backed up, then each table declaration should include a command to drop the table if it exists before an insert of that table and it's data is performed. If such a command does not exist before each table's declaration, then all of the tables should be dropped before uploading/importing the database backup. Without doing that table drop, only records missing will be added and in some cases this could cause a serious problem with the relationships of the data.

    Sorry to be such bearer of news.
    ZC Installation/Maintenance Support <- Site
    Contribution for contributions welcome...
    Upgraded to Zen Cart V1.5.3 from V1.5.1 from V1.5.0 from V1.3.9h

 

 

Similar Threads

  1. v154 Can't login to admin after database upgrade from 151 to 1.54.
    By SignaGen2 in forum Installing on a Linux/Unix Server
    Replies: 4
    Last Post: 26 Aug 2015, 06:54 PM
  2. Replies: 1
    Last Post: 9 Jan 2015, 05:57 AM
  3. v151 can i salvage very old shipping settings from old database?
    By enddes in forum Upgrading to 1.5.x
    Replies: 4
    Last Post: 8 Oct 2012, 08:27 AM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
disjunctive-egg
Zen-Cart, Internet Selling Services, Klamath Falls, OR